> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sturdytechnologies.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create User

> Create a new customer account



## OpenAPI

````yaml POST /users
openapi: 3.1.0
info:
  title: Sturdy Technologies API
  description: API documentation for Sturdy Technologies Service
  contact: {}
  version: '1.0'
servers:
  - url: https://sandbox.sturdytechnologies.com/v3
    description: Sandbox server
security: []
paths:
  /users:
    post:
      tags:
        - Users
      summary: Create User
      description: Create a new customer account
      operationId: createUser
      requestBody:
        description: Create User payload
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateUserReq'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateUserResp'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResp'
      security:
        - BearerAuth: []
components:
  schemas:
    CreateUserReq:
      type: object
      required:
        - firstname
        - lastname
        - email
        - telephone
        - user_id
      properties:
        firstname:
          type: string
          example: John
        lastname:
          type: string
          example: Doe
        email:
          type: string
          example: user@example.com
        telephone:
          type: string
          example: '+1234567890'
        user_id:
          type: string
          description: Unique identifier for the user
          example: '12345'
    CreateUserResp:
      type: object
      properties:
        data:
          type: string
          example: 'null'
        message:
          type: string
          example: User created successfully
        success:
          type: boolean
          example: true
    ErrorResp:
      type: object
      properties:
        message:
          type: string
          example: Invalid request
        success:
          type: boolean
          example: false

````